Page MenuHomeFreeBSD

devel/cunit: depend on libncurses
ClosedPublic

Authored by rpaulo on Jun 24 2014, 6:24 PM.

Details

Summary

When the CURSES option is enabled, libcunit must depend on libncurses.
Otherwise, test programs might fail to compile.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

rpaulo updated this revision to Diff 490.Jun 24 2014, 6:24 PM
rpaulo retitled this revision from to devel/cunit: depend on libncurses.
rpaulo updated this object.
rpaulo edited the test plan for this revision. (Show Details)
rpaulo added reviewers: sunpoet, eadler, bapt.
stas accepted this revision.Jun 24 2014, 6:47 PM
stas added a reviewer: stas.
stas added a subscriber: stas.

Looks good, thanks!

This revision is now accepted and ready to land.Jun 24 2014, 6:47 PM
rpaulo updated this revision to Diff 492.Jun 25 2014, 1:52 AM
rpaulo edited edge metadata.

Adding USES+=ncurses.

bapt accepted this revision.Jun 25 2014, 9:26 AM
bapt edited edge metadata.

Approved

sunpoet accepted this revision.Jun 25 2014, 11:54 AM
sunpoet edited edge metadata.

Committed. Thanks!

rpaulo closed this revision.Jul 4 2014, 5:58 PM